# std::_Fwd_list_iterator< _Tp, _Alloc > Struct Template Reference

A forward_list::iterator. More...

List of all members.

## Public Types

- typedef _Fwd_list_node< _Tp,
  _Alloc > _Node
- typedef _Fwd_list_node_base
  < _Alloc > _Node_base
- typedef _Fwd_list_iterator
  < _Tp, _Alloc > _Self
- typedef _Alloc::difference_type difference_type
- typedef std::forward_iterator_tag iterator_category
- typedef _Alloc::pointer pointer
- typedef _Alloc::reference reference
- typedef _Tp value_type

## Public Member Functions

- _Fwd_list_iterator (typename _Node_base::_Pointer __n)
- _Self _M_next () const
- bool operator!= (const _Self &__x) const
- reference operator* () const
- _Self operator++ (int)
- _Self & operator++ ()
- pointer operator-> () const
- bool operator== (const _Self &__x) const

## Public Attributes

- _Node_base::_Pointer _M_node

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_iterator< _Tp, _Alloc >

A forward_list::iterator.

All the functions are op overloads.

Definition at line 108 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h